summarylogtreecommitdiffstats
diff options
context:
space:
mode:
authorBrian Bidulock2014-05-08 17:26:27 -0600
committerBrian Bidulock2015-06-10 15:24:59 -0600
commit662807ebc2fbe8081cacec719d92b5f7a33260c1 (patch)
treeb159fafcf61ad68165a2846459e8600ae16eed73
parent798226ee10df3d10d20651b7bedf9102e19ddac0 (diff)
downloadaur-662807ebc2fbe8081cacec719d92b5f7a33260c1.tar.gz
version 0.5.1-2
-rw-r--r--.SRCINFO4
-rw-r--r--PKGBUILD20
2 files changed, 11 insertions, 13 deletions
diff --git a/.SRCINFO b/.SRCINFO
index 1bc833a45d6..f8aeb8c1aa9 100644
--- a/.SRCINFO
+++ b/.SRCINFO
@@ -1,7 +1,7 @@
pkgbase = pnmixer
- pkgdesc = GTK volume mixer applet that runs in the system tray.
+ pkgdesc = PNMixer is a GTK volume mixer applet that runs in the system tray.
pkgver = 0.5.1
- pkgrel = 3
+ pkgrel = 2
url = https://github.com/nicklan/pnmixer
arch = i686
arch = x86_64
diff --git a/PKGBUILD b/PKGBUILD
index 963ae87873a..a7a9e75ef9d 100644
--- a/PKGBUILD
+++ b/PKGBUILD
@@ -1,8 +1,9 @@
-# Maintainer: Brian Bidulock <bidulock@openss7.org>
+# $Id: pkgbuild-mode.el,v 1.23 2007/10/20 16:02:14 juergen Exp $
+# Maintainer: Nick Lanham <nick@nick>
pkgname=pnmixer
pkgver=0.5.1
-pkgrel=3
-pkgdesc="GTK volume mixer applet that runs in the system tray."
+pkgrel=2
+pkgdesc="PNMixer is a GTK volume mixer applet that runs in the system tray."
arch=('i686' 'x86_64')
license=('GPL')
url="https://github.com/nicklan/pnmixer"
@@ -13,14 +14,11 @@ source=(https://github.com/downloads/nicklan/pnmixer/pnmixer-${pkgver}.tar.gz pn
md5sums=('2288af95ab280721b39b7c33601d5dd4'
'd7aef8eb1cec18858fb2faefe6584276')
build() {
- cd $pkgname-$pkgver
+ cd "${srcdir}/${pkgname}-${pkgver}"
patch -Np0 -i ../pnmixer-0.5.1-configure.in.patch
- ./autogen.sh
- ./configure --prefix=/usr
- make
-}
-package() {
- cd $pkgname-$pkgver
- make DESTDIR="$pkgdir" install
+ ./autogen.sh || return 1
+ ./configure --prefix=/usr || return 1
+ make || return 1
+ make DESTDIR="$pkgdir" install || return 1
}